Subject: Re: [PATCH v3 net-next 4/6] net: phy: realtek: Change rtlgen_get_speed() to rtlgen_decode_speed()

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 2 Apr 2024 20:27:47 +0100

On Tue, Apr 02, 2024 at 07:58:46AM +0200, Eric Woudstra wrote:
> The value of the register to determine the speed, is retrieved
> differently when using Clause 45 only. To use the rtlgen_get_speed()
> function in this case, pass the value of the register as argument to
> rtlgen_get_speed(). The function would then always return 0, so change it
> to void. A better name for this function now is rtlgen_decode_speed().
> 
> Replace a call to genphy_read_status() followed by rtlgen_get_speed()
> with a call to rtlgen_read_status() in rtl822x_read_status().
> 
> Add reading speed to rtl822x_c45_read_status().
> 
> Signed-off-by: Eric Woudstra <[email-masked]>

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!